SndStretch In Real-Time

March 22, 2012 18:13 - Samuel .

Status: Closed Start date: March 22, 2012

Priority: Minor Due date:  

Assignee: John Lindgren % Done: 100%

Category: plugins/sndstretch Estimated time: 0.00 hour

Target version: 3.3   

Affects version:    

Description

Having a speed- and pitch-switcher in Audacious has loads of potential uses, one being practicing instruments or vocals alongside a

song at a speed and pitch which is appropriate. However, I personally always resort to using a different tool such as PlayItSlowly

because Audacious requires the song to be restarted to make any change to the pitch or speed of the song using SndStretch. This is

really distracting and also seems quite unnecessary - it's a real pain when you're trying to match up keys and you can't just slide the

bar around until it sounds right. I propose, therefore, that the SndStretch plugin (or some equivalent or replacement if neccessary) is

made to work and be modifiable whilst a song is playing, so you can shift pitch and speed whenever you wish.

History

#1 - June 09, 2012 00:17 - John Lindgren

The current behavior may seem "unnecessary" to you, but on the technical side of things it will require some major changes to Audacious's output

core to change the speed of the song while playing without messing up timing calculations.  I have been working on the necessary changes, and what

you want should be possible, but it needs a little more work still.

#2 - June 09, 2012 00:18 - John Lindgren

- Category set to plugins/sndstretch

- Assignee set to John Lindgren

#3 - June 09, 2012 03:12 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.3

https://github.com/audacious-media-player/audacious/commit/f7f3b205f1751887f76bcda0c0b29e47da5676ad

https://github.com/audacious-media-player/audacious-plugins/commit/a4a591bacac47de75cab5d5b2c62fd1dac4f0da4

#4 - June 09, 2012 03:12 - John Lindgren

- % Done changed from 0 to 100
